"use strict";
/*!
  Copyright 2018 Ron Buckton (rbuckton@chronicles.org)

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 */
/** @module "iterable-query/fn" */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var internal_1 = require("../internal");
var correspondsByAsync_1 = require("./correspondsByAsync");
var common_1 = require("./common");
var equatable_1 = require("equatable");
function correspondsAsync(left, right, equaler) {
    if (equaler === void 0) { equaler = equatable_1.Equaler.defaultEqualer; }
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    internal_1.assert.mustBeAsyncQueryable(left, "left");
                    internal_1.assert.mustBeAsyncQueryable(right, "right");
                    internal_1.assert.mustBeObject(equaler, "equality");
                    return [4 /*yield*/, correspondsByAsync_1.correspondsByAsync(left, right, common_1.identity, common_1.identity, equaler)];
                case 1: return [2 /*return*/, _a.sent()];
            }
        });
    });
}
exports.correspondsAsync = correspondsAsync;
//# sourceMappingURL=correspondsAsync.js.map